<h2>Lista de Tareas</h2>
<hr>
<div>
  <a class="btn btn-success" [routerLink]="['/tasks/create']"><i class="bi bi-plus-square"></i> Nueva Tarea</a>
  <div>
    <label for="perPage">Resultados por página:</label>
    <select class="ms-2 p-2" [(ngModel)]="perPage" name="perPage" id="" >
      <!-- mejora: resetear el contador de pagina al cambiar la cantidad de resultados por pagina -->
      <option value="5">5</option>
      <option value="20">20</option>
    </select>
  </div>
</div>
<table class="table table-striped">
  <thead>
    <tr>
      <th>Titulo</th>
      <th>Estado</th>
      <th>Acciones</th>
    </tr>
  </thead>
  <tbody>
    <tr [ngClass]="{'bg-success': asTask(task).completed}" *ngFor="let task of tasks  | paginate: { itemsPerPage: perPage, currentPage: page }">
      <td >{{asTask(task).title}}</td>
      <td >{{asTask(task).completed?"Completado":"Pendiente"}}</td>
      <td>
        <a class="btn btn-warning " [routerLink]="['/tasks/edit', asTask(task).id]"><i class="bi bi-pencil-square"></i></a>
        <button class="btn btn-danger ms-2" (click)="delete(asTask(task))"><i class="bi bi-trash2-fill"></i></button>
      </td>
    </tr>
  </tbody>
</table>
<pagination-controls (pageChange)="page = $event"
previousLabel="Anterior"
nextLabel="Siguiente"></pagination-controls>

